KWIN_PARTIAL_REFRESH(3)

EXPERIMENTAL_FUNC
kwin_partial_refresh - Perform a partial refresh of a pixel canvas.

SYNOPSIS
#include <karma_kwin.h>

flag kwin_partial_refresh

(KPixCanvas canvas, unsigned int num_areas, KPixCanvasRefreshArea *areas, flag clear_all)

DESCRIPTION
Perform a partial refresh of a pixel canvas.

canvas
    The pixel canvas.

num_areas
    The number of areas in the pixel canvas to refresh.

areas
    The list of areas to refresh. The values here are updated to ensure all points lie within the boundaries of the pixel canvas.

clear_all
    If TRUE, each refreshed region is first cleared, else the <<clear>> field of each area determines whether an area is cleared.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/